Bug 1672047 - Review Request: smoldyn - A particle-based spatial stochastic simulator
Summary: Review Request: smoldyn - A particle-based spatial stochastic simulator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
neuro-sig
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-02-03 11:18 UTC by Antonio
Modified: 2019-04-29 00:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Smoldyn is now available in NeuroFedora!
Clone Of:
Environment:
Last Closed: 2019-04-27 21:24:20 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Antonio 2019-02-03 11:18:45 UTC
Spec URL: https://sagitter.fedorapeople.org/smoldyn/smoldyn.spec
SRPM URL: https://sagitter.fedorapeople.org/smoldyn/smoldyn-2.56-1.fc29.src.rpm

Description:

Smoldyn is a computer program for cell-scale biochemical simulations.
It simulates each molecule of interest individually to capture natural
stochasticity and to yield nanometer-scale spatial resolution.
It treats other molecules implicitly, enabling it to simulate hundreds
of thousands of molecules over several minutes of real time.

Simulated molecules diffuse, react, are confined by surfaces,
and bind to membranes much as they would in a real biological system.

It is more accurate and faster than other particle-based simulators.
Smoldyn's unique features include: a "virtual experimenter" who can
manipulate or measure the simulated system, support for spatial compartments,
molecules with excluded volume, and simulations in 1, 2, or 3 dimensions.

Fedora Account System Username: sagitter

This package is for Fedora and epel7.

Comment 1 Ankur Sinha (FranciscoD) 2019-02-03 12:44:05 UTC
Reviewing it now. Thanks!

Comment 2 Ankur Sinha (FranciscoD) 2019-02-03 14:55:21 UTC
Looks pretty good, but a few issues with bundling and enabling features.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======

- It bundles a lot more things, and I expect we should be able to unbundle a
  majority of them that are fortunately already in Fedora:
* Boost (in Fedora)
* Eigen (in Fedora)
* zlib (in Fedora)
* SFMT (not in Fedora, but looks simple to package)

- Do the Vcell etc features require Vcell to be packaged already? If not,
  that can be enabled. Vcell is on our list, but it's a web app:
  https://pagure.io/neuro-sig/NeuroFedora/issue/213
- VTK support can be enabled. It's in Fedora.
- PDE support can be enabled. I can't find a PDE software, but here's Kairos
  which also includes the same Io.cpp and Io.h files that this does:
  https://github.com/martinjrobins/Kairos/tree/master/src I wonder if they've
  been bundled there too. (It's only two files, so bundling them isn't too bad)

- Shouldn't the main package also contain a versioned soname that the binary
  will use? Is smoldyn meant to be used as a library---otherwise the devel
  package is not needed either.

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 91258880 bytes in 1812 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
^ All the docs including the examples can go in the docs package. Otherwise the
  devel package becomes very large.

- Please do not include a license file if upstream has not provided it. We
  should file a bug upstream asking them to do include it.

- Cosmetic issue: could we have all the BRs on individual lines please? It
  makes it easier for scripts to work with spec files etc.

- Please fix rpmlint issues:
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S2_config/macformat.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S2_config/windowsformat.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S94_archive/Andrews_2018/note2_transposase/transposase.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S94_archive/Andrews_2018/note4_MinD/MinDdimer.txt

smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/bimolecularlattice.txt

smoldyn-devel.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S95_regression/bimolecularlattice.txt

smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_b.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_b_nb.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_e.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_e_nb.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_n.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_n_nb.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_t.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_t_nb.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/stick.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/surfacediffuse.txt

smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S96_bugs/AC1_calcium_lattice.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S98_utilityprograms/wrl2smol/sample-surface.wrl
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S99_more/Min/Min4.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S99_more/Min/Min5.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S99_more/antigen/antigen.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S99_more/li.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S99_more/microtubule_cata_13_sync_die.txt
smoldyn-devel.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S99_more/microtubule_cata_13_sync_die.txt
smoldyn-doc.noarch: W: spurious-executable-perm /usr/share/doc/smoldyn-doc/BioNetGen/Faeder_Hlavacek_2009.pdf

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "Mozilla Public License (v2.0) GNU Lesser
     General Public License", "Unknown or generated", "Mozilla Public
     License (v2.0) GNU Lesser General Public License (v2.1 or later)",
     "NTP License BSL (v1.0)", "BSD 3-clause "New" or "Revised" License",
     "Mozilla Public License (v2.0) GNU Lesser General Public License
     (modified-code-notice clause) GNU Lesser General Public License (v2.1
     or later)", "zlib/libpng license", "BSL (v1.0)", "GNU Lesser General
     Public License (v3 or later)", "Mozilla Public License (v2.0)". 2554
     files have unknown license. Detailed output of licensecheck in
     /home/asinha/dump/fedora-reviews/1672047-smoldyn/licensecheck.txt

Unbunding would simplify the licenses too.


[x]: License file installed when any subpackage combination is installed.

[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
(Note snipped)

[!]: %build honors applicable compiler flags or justifies otherwise.
Looks like upstream also sets flags in CMakeLists.txt and these get added to
the list. Please remove them so that only our Fedora flags are used.

[!]: Package contains no bundled libraries without FPC exception.
Please see notes on bundling.

[!]: Changelog in prescribed format.
Please update the changelog. I think it's from another package :)

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
^ Please remove SOURCE1. If upstream does not include a license file, we
should't add one ourselves.

[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: smoldyn-devel.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in smoldyn-
     devel , smoldyn-doc , smoldyn-debuginfo , smoldyn-debugsource
^ False positive here.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 93040640 bytes in /usr/share
     smoldyn-devel-2.56-1.fc30.x86_64.rpm:93020160
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: smoldyn-2.56-1.fc30.x86_64.rpm
          smoldyn-devel-2.56-1.fc30.x86_64.rpm
          smoldyn-doc-2.56-1.fc30.noarch.rpm
          smoldyn-debuginfo-2.56-1.fc30.x86_64.rpm
          smoldyn-debugsource-2.56-1.fc30.x86_64.rpm
          smoldyn-2.56-1.fc30.src.rpm
smoldyn.x86_64: W: spelling-error %description -l en_US stochasticity -> stochastic, chastity
smoldyn.x86_64: W: spelling-error %description -l en_US nanometer -> manometer, anemometer, anteroom
smoldyn.x86_64: W: incoherent-version-in-changelog 5.0-0.1.beta ['2.56-1.fc30', '2.56-1']
^ Pointed out above already

smoldyn.x86_64: W: no-documentation
smoldyn.x86_64: W: no-manual-page-for-binary smoldyn
smoldyn-devel.x86_64: W: summary-not-capitalized C smoldyn devel files
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S2_config/macformat.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S2_config/windowsformat.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S94_archive/Andrews_2018/note2_transposase/transposase.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S94_archive/Andrews_2018/note4_MinD/MinDdimer.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/bimolecularlattice.txt
smoldyn-devel.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S95_regression/bimolecularlattice.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_b.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_b_nb.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_e.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_e_nb.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_n.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_n_nb.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_t.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_t_nb.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/stick.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S95_regression/surfacediffuse.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S96_bugs/AC1_calcium_lattice.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S98_utilityprograms/wrl2smol/sample-surface.wrl
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S99_more/Min/Min4.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S99_more/Min/Min5.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S99_more/antigen/antigen.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S99_more/li.txt
smoldyn-devel.x86_64: W: spurious-executable-perm /usr/share/doc/smoldyn-devel/examples/S99_more/microtubule_cata_13_sync_die.txt
smoldyn-devel.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S99_more/microtubule_cata_13_sync_die.txt
smoldyn-doc.noarch: W: summary-not-capitalized C smoldyn PDF documentation
smoldyn-doc.noarch: W: spurious-executable-perm /usr/share/doc/smoldyn-doc/BioNetGen/Faeder_Hlavacek_2009.pdf
smoldyn.src: W: spelling-error %description -l en_US stochasticity -> stochastic, chastity
smoldyn.src: W: spelling-error %description -l en_US nanometer -> manometer, anemometer, anteroom
6 packages and 0 specfiles checked; 2 errors, 32 warnings.


Rpmlint (debuginfo)
-------------------
Checking: smoldyn-debuginfo-2.56-1.fc30.x86_64.rpm
          smoldyn-devel-debuginfo-2.56-1.fc30.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
smoldyn (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglut.so.3()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    rtld(GNU_HASH)

smoldyn-devel (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglut.so.3()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    rtld(GNU_HASH)
    smoldyn(x86-64)

smoldyn-debugsource (rpmlib, GLIBC filtered):

smoldyn-doc (rpmlib, GLIBC filtered):
    smoldyn

smoldyn-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
smoldyn:
    smoldyn
    smoldyn(x86-64)

smoldyn-devel:
    libsmoldyn_shared.so()(64bit)
    smoldyn-devel
    smoldyn-devel(x86-64)
    smoldyn-static

smoldyn-debugsource:
    smoldyn-debugsource
    smoldyn-debugsource(x86-64)

smoldyn-doc:
    smoldyn-doc

smoldyn-debuginfo:
    debuginfo(build-id)
    smoldyn-debuginfo
    smoldyn-debuginfo(x86-64)

Source checksums
----------------
http://www.smoldyn.org/smoldyn-2.56.tgz :
  CHECKSUM(SHA256) this package     : 755e7e7ec17e3d330f7dabb5ae7da14ba7ab29745fb5db1640caf232fb5c8da6
  CHECKSUM(SHA256) upstream package : 755e7e7ec17e3d330f7dabb5ae7da14ba7ab29745fb5db1640caf232fb5c8da6
http://www.gnu.org/licenses/lgpl-3.0.txt :
  CHECKSUM(SHA256) this package     : e3a994d82e644b03a792a930f574002658412f62407f5fee083f2555c5f23118
  CHECKSUM(SHA256) upstream package : e3a994d82e644b03a792a930f574002658412f62407f5fee083f2555c5f23118


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1672047
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Antonio 2019-02-03 16:02:03 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #2)
> Looks pretty good, but a few issues with bundling and enabling features.
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> Issues:
> =======
> 
> - It bundles a lot more things, and I expect we should be able to unbundle a
>   majority of them that are fortunately already in Fedora:
> * Boost (in Fedora)
> * Eigen (in Fedora)

 It's Boost 1.51 (vs Boost 1.66 on Fedora), and eigen3-3.1.1 (vs eigen3-3.3.7 on Fedora) that is not used maybe.
 Unbundling could be a bad idea.

> * zlib (in Fedora)

 zlib is not used and compilation fails if enable it; probably cannot be unbundled too.

> * SFMT (not in Fedora, but looks simple to package)
> 
> - Do the Vcell etc features require Vcell to be packaged already? If not,
>   that can be enabled. Vcell is on our list, but it's a web app:
>   https://pagure.io/neuro-sig/NeuroFedora/issue/213
> - VTK support can be enabled. It's in Fedora.

  Vcell and VTK support are disabled by default and fail if enabled. Need work.
 
> - PDE support can be enabled. I can't find a PDE software, but here's Kairos
>   which also includes the same Io.cpp and Io.h files that this does:
>   https://github.com/martinjrobins/Kairos/tree/master/src I wonder if they've
>   been bundled there too. (It's only two files, so bundling them isn't too
> bad)
> 
> - Shouldn't the main package also contain a versioned soname that the binary
>   will use? Is smoldyn meant to be used as a library---otherwise the devel
>   package is not needed either.

 Not needed. It's a private library, not shared.

> 
> - Large documentation must go in a -doc subpackage. Large could be size
>   (~1MB) or number of files.
>   Note: Documentation size is 91258880 bytes in 1812 files.
>   See:
> http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
> ^ All the docs including the examples can go in the docs package. Otherwise
> the
>   devel package becomes very large.

 Examples are not documentation, they're configuration files for testing.

> 
> - Please do not include a license file if upstream has not provided it. We
>   should file a bug upstream asking them to do include it.

 Why not?
 https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_license_text
 I will mail to upstream about.

> 
> - Cosmetic issue: could we have all the BRs on individual lines please? It
>   makes it easier for scripts to work with spec files etc.
> 
> - Please fix rpmlint issues:
> smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S2_config/macformat.txt
> smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S2_config/windowsformat.txt
> smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S94_archive/Andrews_2018/
> note2_transposase/transposase.txt
> smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S94_archive/Andrews_2018/note4_MinD/
> MinDdimer.txt
> 
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/bimolecularlattice.txt
> 
> smoldyn-devel.x86_64: E: wrong-script-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S95_regression/bimolecularlattice.txt
> 
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_b.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_b_nb.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_e.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_e_nb.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_n.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_n_nb.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_t.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/profile3_t_nb.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/stick.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S95_regression/surfacediffuse.txt
> 
> smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S96_bugs/AC1_calcium_lattice.txt
> smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S98_utilityprograms/wrl2smol/sample-
> surface.wrl
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S99_more/Min/Min4.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S99_more/Min/Min5.txt
> smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S99_more/antigen/antigen.txt
> smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S99_more/li.txt
> smoldyn-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/smoldyn-devel/examples/S99_more/microtubule_cata_13_sync_die.
> txt
> smoldyn-devel.x86_64: E: wrong-script-end-of-line-encoding
> /usr/share/doc/smoldyn-devel/examples/S99_more/microtubule_cata_13_sync_die.
> txt
> smoldyn-doc.noarch: W: spurious-executable-perm
> /usr/share/doc/smoldyn-doc/BioNetGen/Faeder_Hlavacek_2009.pdf
>

Comment 4 Antonio 2019-02-03 20:09:41 UTC
Spec URL: https://sagitter.fedorapeople.org/smoldyn/smoldyn.spec
SRPM URL: https://sagitter.fedorapeople.org/smoldyn/smoldyn-2.56-1.fc29.src.rpm

- Unbundle zlib, boost and BioNetGen
- Remove unused header files
- Fix file permissions

Comment 5 Ankur Sinha (FranciscoD) 2019-02-11 07:16:38 UTC
(In reply to Antonio Trande from comment #3)
> (In reply to Ankur Sinha (FranciscoD) from comment #2)
> 
>  It's Boost 1.51 (vs Boost 1.66 on Fedora), and eigen3-3.1.1 (vs
> eigen3-3.3.7 on Fedora) that is not used maybe.
>  Unbundling could be a bad idea.

Please file a ticket upstream and add the URL to the spec as a comment.
> 
> > * zlib (in Fedora)
> 
>  zlib is not used and compilation fails if enable it; probably cannot be
> unbundled too.

I see you've used zlib-devel in the spec. I expect this has been sorted?

> > * SFMT (not in Fedora, but looks simple to package)

Please comment in the spec that this particular library and the features it provides to smoldyn are currently unavailable.

> > 
> > - Do the Vcell etc features require Vcell to be packaged already? If not,
> >   that can be enabled. Vcell is on our list, but it's a web app:
> >   https://pagure.io/neuro-sig/NeuroFedora/issue/213
> > - VTK support can be enabled. It's in Fedora.
> 
>   Vcell and VTK support are disabled by default and fail if enabled. Need
> work.

Uh---please file a ticket upstream about this too (and mention it in the spec).

> > - PDE support can be enabled. I can't find a PDE software, but here's Kairos
> >   which also includes the same Io.cpp and Io.h files that this does:
> >   https://github.com/martinjrobins/Kairos/tree/master/src I wonder if they've
> >   been bundled there too. (It's only two files, so bundling them isn't too
> > bad)
> > 
> > - Shouldn't the main package also contain a versioned soname that the binary
> >   will use? Is smoldyn meant to be used as a library---otherwise the devel
> >   package is not needed either.
> 
>  Not needed. It's a private library, not shared.

If you are sure that it's a private library (nothing will link against it), the -devel package should not be provided, no? The soname should be in the main package, and examples and headers not installed at all. What do you think?

> > 
> > - Large documentation must go in a -doc subpackage. Large could be size
> >   (~1MB) or number of files.
> >   Note: Documentation size is 91258880 bytes in 1812 files.
> >   See:
> > http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
> > ^ All the docs including the examples can go in the docs package. Otherwise
> > the
> >   devel package becomes very large.
> 
>  Examples are not documentation, they're configuration files for testing.

If they are tests for the tool and will not be used by any other software, they do not need to be provided in any package either (like the -devel package).

> 
> > 
> > - Please do not include a license file if upstream has not provided it. We
> >   should file a bug upstream asking them to do include it.
> 
>  Why not?
>  https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_license_text
>  I will mail to upstream about.

Yes. As the guideline says, we should first attempt the get upstream to provide it. Only if they are unresponsive or refuse, should us packagers consider including a copy ourselves.
I think filing another issue upstream and mentioning it in the spec would be safer too.

Re-running fedora-review on the updated spec/srpm now.

Comment 6 Ankur Sinha (FranciscoD) 2019-02-16 15:47:25 UTC
fedora-review doesn't say anything new, so the comments above are all that we need to do now.

A few rpmlint issues still there:

smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S94_archive/Andrews_2018/note2_transposase/transposase.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S94_archive/Andrews_2018/note4_MinD/MinDdimer.txt
smoldyn-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/smoldyn-devel/examples/S98_utilityprograms/wrl2smol/sample-surface.wrl

Comment 7 Antonio 2019-02-21 10:31:38 UTC
Spec URL: https://sagitter.fedorapeople.org/smoldyn/smoldyn.spec
SRPM URL: https://sagitter.fedorapeople.org/smoldyn/smoldyn-2.56-1.fc29.src.rpm

- First package
- Unbundle zlib, boost and BioNetGen
- Remove unused header files
- Fix file permissions
- Add License file provided by upstream
- Clarification about the VTK support
- Comment about bundled SFMT source code

Comment 8 Ankur Sinha (FranciscoD) 2019-02-26 12:38:11 UTC
Sorry for the delay, Antonio.

Almost there, but seems like something broke the build :(

Mock barfs at:

```
+ cp -pr source/lib/SMFT/SFMT-LICENSE.txt /builddir/build/BUILDROOT/smoldyn-2.56-1.fc30.x86_64/usr/share/licenses/smoldyn
BUILDSTDERR: cp: cannot stat 'source/lib/SMFT/SFMT-LICENSE.txt': No such file or directory
+ :
+ exit 0
BUILDSTDERR: error: File not found: /builddir/build/BUILDROOT/smoldyn-2.56-1.fc30.x86_64/usr/share/licenses/smoldyn/SFMT-LICENSE.txt
RPM build errors:
BUILDSTDERR:     File not found: /builddir/build/BUILDROOT/smoldyn-2.56-1.fc30.x86_64/usr/share/licenses/smoldyn/SFMT-LICENSE.txt
Child return code was: 1
```

Comment 10 Ankur Sinha (FranciscoD) 2019-04-04 13:13:23 UTC
Looks good XXX APPROVED XXX

Non blockers:

- I'd think the SFMT bundling needs to be indicated in the spec, please check:
  https://docs.fedoraproject.org/en-US/packaging-guidelines/#bundling
- The package is not providing the -devel subpackage, but that's up to you :)
- Please use the srpm version of the spec, it seems to be newer.

Please remember to update the neurofedora docs when this is in testing etc. :)
Thanks very much!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/Constants.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/Geometry.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/Kairos.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/NextSubvolumeMethod.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/ReactionEquation.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/Species.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/StructuredGrid.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/StructuredGrid.impl.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/Vector.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/NextSubVolume/nsvc.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/Smoldyn/smoldyn.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/Smoldyn/smoldynfuncs.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/Geometry.h smoldyn-
  debugsource : /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/List.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/Rn.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/RnSort.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/SFMT/SFMT.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/SimCommand.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/Sphere.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/SurfaceParam.h
  smoldyn-debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/Zn.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/math2.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/opengl2.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/parse.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/queue.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/random2.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/rxnparam.h smoldyn-
  debugsource :
  /usr/src/debug/smoldyn-2.58-1.fc30.x86_64/source/lib/string2.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU Lesser General Public License (v3 or later)", "Public
     domain", "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 2029 files have unknown license. Detailed output of
     licensecheck in /home/asinha/dump/fedora-
     reviews/1672047-smoldyn/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
^ It's bundling SFMT, no? That should be specified in the spec as per:
https://docs.fedoraproject.org/en-US/packaging-guidelines/#bundling

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in smoldyn-
     doc , smoldyn-debuginfo , smoldyn-debugsource
^ False positive. The doc does not need to require the arch specific package,
does it?

[?]: Package functions as described.
^ Checked? :)

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
^ Getting this again. Can you please check the the spec and srpm refer to the
same bits?

[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: smoldyn-2.58-1.fc30.x86_64.rpm
          smoldyn-doc-2.58-1.fc30.noarch.rpm
          smoldyn-debuginfo-2.58-1.fc30.x86_64.rpm
          smoldyn-debugsource-2.58-1.fc30.x86_64.rpm
          smoldyn-2.58-1.fc30.src.rpm
smoldyn.x86_64: W: spelling-error %description -l en_US stochasticity -> stochastic, chastity
smoldyn.x86_64: W: spelling-error %description -l en_US nanometer -> manometer, anemometer, anteroom
smoldyn.x86_64: W: no-manual-page-for-binary smoldyn
smoldyn-doc.noarch: W: summary-not-capitalized C smoldyn PDF documentation
smoldyn.src: W: spelling-error %description -l en_US stochasticity -> stochastic, chastity
smoldyn.src: W: spelling-error %description -l en_US nanometer -> manometer, anemometer, anteroom
5 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: smoldyn-debuginfo-2.58-1.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
smoldyn.x86_64: W: spelling-error %description -l en_US stochasticity -> stochastic
smoldyn.x86_64: W: spelling-error %description -l en_US nanometer -> manometer, anemometer, anteroom
smoldyn.x86_64: W: invalid-url URL: http://www.smoldyn.org <urlopen error [Errno -2] Name or service not known>
smoldyn.x86_64: W: no-manual-page-for-binary smoldyn
smoldyn-debugsource.x86_64: W: invalid-url URL: http://www.smoldyn.org <urlopen error [Errno -2] Name or service not known>
smoldyn-doc.noarch: W: summary-not-capitalized C smoldyn PDF documentation
smoldyn-doc.noarch: W: invalid-url URL: http://www.smoldyn.org <urlopen error [Errno -2] Name or service not known>
smoldyn-debuginfo.x86_64: W: invalid-url URL: http://www.smoldyn.org <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 0 errors, 8 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/asinha/dump/fedora-reviews/1672047-smoldyn/srpm/smoldyn.spec	2019-04-02 13:57:01.629617769 +0100
+++ /home/asinha/dump/fedora-reviews/1672047-smoldyn/srpm-unpacked/smoldyn.spec	2019-03-29 21:06:47.000000000 +0000
@@ -6,5 +6,4 @@
 
 # VTK support?
-# See https://github.com/ssandrews/Smoldyn-official/issues/3
 %global with_vtk 0
 

^^ Ah, it's in the srpm, but not in the spec file. Please ensure that you use
the srpm version.

Requires
--------
smoldyn (rpmlib, GLIBC filtered):
    bionetgen-perl
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglut.so.3()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    rtld(GNU_HASH)

smoldyn-debugsource (rpmlib, GLIBC filtered):

smoldyn-doc (rpmlib, GLIBC filtered):
    smoldyn

smoldyn-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
smoldyn:
    smoldyn
    smoldyn(x86-64)

smoldyn-debugsource:
    smoldyn-debugsource
    smoldyn-debugsource(x86-64)

smoldyn-doc:
    smoldyn-doc

smoldyn-debuginfo:
    debuginfo(build-id)
    smoldyn-debuginfo
    smoldyn-debuginfo(x86-64)



Source checksums
----------------
http://www.smoldyn.org/smoldyn-2.58.tgz :
  CHECKSUM(SHA256) this package     : e6b080290079ff53411d06bf32ee7a5f36215d3c9dacc94e3dcb0f31a2b9ed51
  CHECKSUM(SHA256) upstream package : e6b080290079ff53411d06bf32ee7a5f36215d3c9dacc94e3dcb0f31a2b9ed51


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1672047
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Igor Gnatenko 2019-04-07 07:14:07 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/smoldyn

Comment 12 Fedora Update System 2019-04-13 15:52:55 UTC
smoldyn-2.58-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8b4bc36582

Comment 13 Fedora Update System 2019-04-13 15:52:58 UTC
smoldyn-2.58-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-22ccddeb52

Comment 14 Fedora Update System 2019-04-14 00:12:06 UTC
smoldyn-2.58-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8b4bc36582

Comment 15 Fedora Update System 2019-04-14 20:06:01 UTC
smoldyn-2.58-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-22ccddeb52

Comment 16 Fedora Update System 2019-04-27 21:24:20 UTC
smoldyn-2.58-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-04-29 00:52:20 UTC
smoldyn-2.58-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.